Bug 1023379 - [hammer-cli] model info --name <non-existing> fails 404
[hammer-cli] model info --name <non-existing> fails 404
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Daniel Lobato Garcia
Sachin Ghai
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 06:14 EDT by Garik Khachikyan
Modified: 2016-04-22 11:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:08:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
foreman-debug logs (78.94 KB, application/x-xz)
2013-10-25 06:14 EDT, Garik Khachikyan
no flags Details
katello-debug logs (1.01 MB, application/gzip)
2013-10-25 06:14 EDT, Garik Khachikyan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 3915 None None None 2016-04-22 11:36 EDT

  None (edit)
Description Garik Khachikyan 2013-10-25 06:14:01 EDT
Created attachment 816058 [details]
foreman-debug logs

Description of problem:
performing `model info --name "<non-existing-model>"` replies back with an improper exception.
===
Stderr: 404 Resource Not Found
ExitCode: 128

Version-Release number of selected component (if applicable):
rubygem-hammer_cli-0.0.7-2.el6sat.noarch
rubygem-hammer_cli_foreman-0.0.8-2.el6sat.noarch
andlepin-0.8.25-1.el6sam.noarch
candlepin-cert-consumer-hephaestus.usersys.redhat.com-1.0-1.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
createrepo-0.9.9-21.2.pulp.el6sat.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-1.4.6-47.el6sat.noarch
katello-agent-1.4.4-3.el6sat.noarch
katello-all-1.4.6-47.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-cli-1.4.3-27.el6sat.noarch
katello-cli-common-1.4.3-27.el6sat.noarch
katello-common-1.4.6-47.el6sat.noarch
katello-configure-1.4.7-7.el6sat.noarch
katello-configure-foreman-1.4.7-7.el6sat.noarch
katello-foreman-all-1.4.6-47.el6sat.noarch
katello-glue-candlepin-1.4.6-47.el6sat.noarch
katello-glue-elasticsearch-1.4.6-47.el6sat.noarch
katello-glue-pulp-1.4.6-47.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-selinux-1.4.4-4.el6sat.noarch
m2crypto-0.21.1.pulp-8.el6sat.x86_64
mod_wsgi-3.4-1.pulp.el6sat.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.0-0.22.beta.el6sat.noarch
pulp-nodes-parent-2.3.0-0.22.beta.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.22.beta.el6sat.noarch
pulp-rpm-handlers-2.3.0-0.22.beta.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.22.beta.el6sat.noarch
pulp-selinux-2.3.0-0.22.beta.el6sat.noarch
pulp-server-2.3.0-0.22.beta.el6sat.noarch
python-isodate-0.5.0-1.pulp.el6sat.noarch
python-oauth2-1.5.170-3.pulp.el6sat.noarch
python-pulp-agent-lib-2.3.0-0.22.beta.el6sat.noarch
python-pulp-bindings-2.3.0-0.22.beta.el6sat.noarch
python-pulp-common-2.3.0-0.22.beta.el6sat.noarch
python-pulp-puppet-common-2.3.0-0.22.beta.el6sat.noarch
python-pulp-rpm-common-2.3.0-0.22.beta.el6sat.noarch
python-qpid-0.18-5.el6_4.noarch
qpid-cpp-client-0.14-22.el6_3.x86_64
qpid-cpp-client-ssl-0.14-22.el6_3.x86_64
qpid-cpp-server-0.14-22.el6_3.x86_64
qpid-cpp-server-ssl-0.14-22.el6_3.x86_64
ruby193-rubygem-foreman-katello-engine-0.0.17-6.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.12-3.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
signo-katello-0.0.23-2.el6sat.noarch

How reproducible:
always

Steps to Reproduce:
1.see above
2.
3.

Actual results:
exception back with no info that the model does not exist.

Expected results:
proper exception with a note that model does not exist.

Additional info:
Comment 1 Garik Khachikyan 2013-10-25 06:14:39 EDT
Created attachment 816059 [details]
katello-debug logs
Comment 2 Garik Khachikyan 2013-10-25 06:21:35 EDT
please: the same for `subnet info`
Comment 6 Dominic Cleal 2014-01-27 10:06:21 EST
Fixed in e34ae228 (hammer-cli-foreman 0.0.16), 46338cd73 (Foreman 1.4.0).
Comment 8 Sachin Ghai 2014-05-06 05:31:25 EDT
Verified with
Comment 9 Sachin Ghai 2014-05-06 05:32:58 EDT
verified with Satellite-6.0.3-RHEL-6-20140430.4

checking the info of a non-existent model raises proper error.

[root@qetello02 yum.repos.d]# hammer model info --name 'a66789'
Error: models with name 'a66789' not found
Comment 10 Bryan Kearney 2014-07-02 10:08:13 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.
Comment 11 Bryan Kearney 2014-07-02 10:09:35 EDT
This was delivered in 6.0.3, the Beta version of Satellite 6.0

Note You need to log in before you can comment on or make changes to this bug.